﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.Linq;
using SyncfusionMvcApplication1;
using SyncfusionMvcApplication1.Grid;
using System.Collections;
using EJGrid.Models;
using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript;
using System.Threading.Tasks;
namespace SyncfusionMvcApplication1.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        
        public ActionResult GridFeatures()
        {

            var DataSource = OrderRepository.GetAllRecords();
            ViewBag.datasource = DataSource;
            return View();
        }
        public ActionResult ColumnData(DataManager value)
        {
            IEnumerable Data = new NorthwindDataContext().EmployeeViews.ToList();
            int count = Data.AsQueryable().Count();
            DataOperations op = new DataOperations();
            //var res = op.Execute(Data, value);
            return Json(new { result = Data, count = count }, JsonRequestBehavior.AllowGet);
        }
        public ActionResult DataSource(DataManager value)
        {
            IEnumerable Data = OrderRepository.GetAllRecords();


            Syncfusion.JavaScript.DataSources.DataOperations operation = new Syncfusion.JavaScript.DataSources.DataOperations();

            int count = Data.AsQueryable().Count();
            if (value.Skip != 0)
            {
                Data = operation.PerformSkip(Data, value.Skip);
            }
            if (value.Take != 0)
            {
                Data = operation.PerformTake(Data, value.Take);
            }
            return Json(new { result = Data.ToList<EditableOrder>().ToArray(), count = count }, JsonRequestBehavior.AllowGet);
        }
        public ActionResult NormalUpdate(EditableOrder value)
        {
            OrderRepository.Update(value);
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        public ActionResult NormalInsert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords().ToArray();
            return Json(new { result = data, count = data.Length}, JsonRequestBehavior.AllowGet);
        }
        public ActionResult NormalDelete(int key)
        {
            EditableOrder result = OrderRepository.Delete(key);
            return Json(result, JsonRequestBehavior.AllowGet);
        }
       
    }
}
